From: Nick Gasson <nick@nickg.me.uk>
Date: Sat, 19 Dec 2020 17:20:15 +0800
Subject: configure: PACKAGE_TARNAME should not depend on pwd

Fix for reproducible build.
---
 configure | 18 +++++++++++-------
 1 file changed, 11 insertions(+), 7 deletions(-)

diff --git a/configure b/configure
index ebd9bc8..ac934c9 100755
--- a/configure
+++ b/configure
@@ -21,15 +21,19 @@ if test ! -f version.txi; then
     make version.txi
 fi
 version_txi=`cat version.txi | sed 1q`
-mywd=`pwd`
+#mywd=`pwd`
 
 PACKAGE_NAME=`expr "X$version_txi" : 'X@set \([A-Z]*\)VERSION .*' | tr '[A-Z]' '[a-z]'`
-PACKAGE_TARNAME=`expr "X$mywd" : '.*/\([A-Za-z]*\)'`
-if echo "$PACKAGE_TARNAME" | grep -iq "$PACKAGE_NAME"; then
-    if ! echo "$PACKAGE_NAME" | grep -iq "$PACKAGE_TARNAME"; then
-	PACKAGE_TARNAME=$PACKAGE_NAME
-    fi
-fi
+#PACKAGE_TARNAME=`expr "X$mywd" : '.*/\([A-Za-z]*\)'`
+#if echo "$PACKAGE_TARNAME" | grep -iq "$PACKAGE_NAME"; then
+#    if ! echo "$PACKAGE_NAME" | grep -iq "$PACKAGE_TARNAME"; then
+#	PACKAGE_TARNAME=$PACKAGE_NAME
+#    fi
+#fi
+
+# Name should not depend on build environment for reproducibility
+PACKAGE_TARNAME=$PACKAGE_NAME
+
 PACKAGE_VERSION=`expr "X$version_txi" : '.*VERSION \([0-9a-z]*\)'`
 PACKAGE_STRING="$PACKAGE_TARNAME $PACKAGE_VERSION"
 PACKAGE_BUGREPORT="$PACKAGE_TARNAME-discuss@gnu.org"
